#include<bits/stdc++.h>
using namespace std;
int main(){
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    int right=0,down=0;
    string s;
    cin>>s;
    for(int i=0;i<s.size();i++){
        if(s[i]=='R'){
            right++;
        }
        if(s[i]=='D'){
            down++;
        }
        if(s[i]=='L'){
            right--;
        }
        if(s[i]=='U'){
            down--;
        }
    }
    if(right==0 && down==0){
        cout<<0;
    }else{
        if(down<0){
            for(int i=0;i<-down;i++){
                cout<<"D";
            }
        }else{
            for(int i=0;i<down;i++){
                cout<<"U";
            }
        }

        if(right<0){
            for(int i=0;i<-right;i++){
                cout<<"R";
            }
        }else{
            for(int i=0;i<right;i++){
                cout<<"L";
            }
        }
    }
    return 0;
}

